// VCDemoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VCDemo.h"
#include "VCDemoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CVCDemoDlg dialog

CVCDemoDlg::CVCDemoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVCDemoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVCDemoDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CVCDemoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVCDemoDlg)
	DDX_Control(pDX, IDC_BOOL1, BOOL1);
	DDX_Control(pDX, IDC_BOOL2, BOOL2);
	DDX_Control(pDX, IDC_BOOL3, BOOL3);
	DDX_Control(pDX, IDC_BOOL4, BOOL4);
	DDX_Control(pDX, IDC_COLOR, COLOR);
	DDX_Control(pDX, IDC_FONTS, FONTS);
	DDX_Control(pDX, IDC_FREQUENCY, FREQUENCY);
	DDX_Control(pDX, IDC_PRINTER, PRINTER);
	DDX_Control(pDX, IDC_STANDBY, STANDBY);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CVCDemoDlg, CDialog)
	//{{AFX_MSG_MAP(CVCDemoDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVCDemoDlg message handlers

BOOL CVCDemoDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CVCDemoDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CVCDemoDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

BEGIN_EVENTSINK_MAP(CVCDemoDlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CVCDemoDlg)
	ON_EVENT(CVCDemoDlg, IDC_BOOL1, -601 /* DblClick */, OnDblClickBool1, VTS_NONE)
	ON_EVENT(CVCDemoDlg, IDC_BOOL2, -601 /* DblClick */, OnDblClickBool2, VTS_NONE)
	ON_EVENT(CVCDemoDlg, IDC_BOOL3, -601 /* DblClick */, OnDblClickBool3, VTS_NONE)
	ON_EVENT(CVCDemoDlg, IDC_BOOL4, -601 /* DblClick */, OnDblClickBool4, VTS_NONE)
	ON_EVENT(CVCDemoDlg, IDC_COLOR, -601 /* DblClick */, OnDblClickColor, VTS_NONE)
	ON_EVENT(CVCDemoDlg, IDC_FONTS, -601 /* DblClick */, OnDblClickFonts, VTS_NONE)
	ON_EVENT(CVCDemoDlg, IDC_FREQUENCY, -601 /* DblClick */, OnDblClickFrequency, VTS_NONE)
	ON_EVENT(CVCDemoDlg, IDC_PRINTER, -601 /* DblClick */, OnDblClickPrinter, VTS_NONE)
	ON_EVENT(CVCDemoDlg, IDC_STANDBY, -601 /* DblClick */, OnDblClickStandby, VTS_NONE)
	ON_EVENT(CVCDemoDlg, IDC_FONTS, 1 /* Change */, OnChangeFonts, VTS_NONE)
	ON_EVENT(CVCDemoDlg, IDC_COLOR, 1 /* Change */, OnChangeColor, VTS_NONE)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void CVCDemoDlg::OnDblClickBool1() 
{
	BOOL1.ShowPropertyPage();
}

void CVCDemoDlg::OnDblClickBool2() 
{
	BOOL2.ShowPropertyPage();
}

void CVCDemoDlg::OnDblClickBool3() 
{
	BOOL3.ShowPropertyPage();
}

void CVCDemoDlg::OnDblClickBool4() 
{
	BOOL4.ShowPropertyPage();
}

void CVCDemoDlg::OnDblClickColor() 
{
	COLOR.ShowPropertyPage();
}

void CVCDemoDlg::OnDblClickFonts() 
{
	FONTS.ShowPropertyPage();
}

void CVCDemoDlg::OnDblClickFrequency() 
{
	FREQUENCY.ShowPropertyPage();
}

void CVCDemoDlg::OnDblClickPrinter() 
{
	PRINTER.ShowPropertyPage();
}

void CVCDemoDlg::OnDblClickStandby() 
{
	STANDBY.ShowPropertyPage();
}

void CVCDemoDlg::OnChangeColor() 
{
	COLOR.SetFrameColor(COLOR.GetSelectionColor());
}

void CVCDemoDlg::OnChangeFonts() 
{
	FONTS.SetCaptionFontID(FONTS.GetValue());
	FONTS.SetCaptionColor(FONTS.GetSelectionColor());
}
